import IConfiguration, { HeadersInit } from '../types/configuration';
import ICredentials from '../types/credentials';
export default class Configuration implements IConfiguration {
    readonly credentials: ICredentials;
    accessKeyId: string;
    apiUrl: string;
    secretAccessKey: string;
    analyticsApiUrl?: string;
    headers: HeadersInit;
    constructor({ accessKeyId, secretAccessKey, apiUrl, analyticsApiUrl, headers, }: {
        accessKeyId?: string | undefined;
        secretAccessKey?: string | undefined;
        apiUrl?: string | undefined;
        analyticsApiUrl?: string | undefined;
        headers?: {} | undefined;
    });
}
