import IHttpClient from '../../types/http-client';
import Application from '../../types/input/application';
import IPronunciationsRepo, { ComplexSearchParams, CreateRecordingParams, CreateRecordingRequestParams, SearchBySigParams, SimpleSearchParams, UserResponseParams } from '../../types/repositories/pronunciations';
export default class PronunciationsRepository implements IPronunciationsRepo {
    private httpClient;
    private application;
    constructor(httpClient: IHttpClient, application: Application);
    simpleSearch({ target, targetTypeSig, targetOwnerSig, ...rest }: SimpleSearchParams): Promise<any>;
    complexSearch({ targets, userContext, ...rest }: ComplexSearchParams): Promise<any>;
    searchBySig({ targetOwnerContext, userContext, ...rest }: SearchBySigParams): Promise<any>;
    userResponse({ recordingId, userResponse, userContext, targetOwnerSig, ...rest }: UserResponseParams): Promise<any>;
    createRecording({ target, targetTypeSig, audioBase64, userContext, nameOwnerContext, ...rest }: CreateRecordingParams): Promise<any>;
    createRecordingRequest({ target, targetTypeSig, targetOwnerContext, userContext, ...rest }: CreateRecordingRequestParams): Promise<any>;
    findRecordingRequest({ target, targetTypeSig, targetOwnerContext, userContext, ...rest }: CreateRecordingRequestParams): Promise<any>;
}
